## com.google.appengine.api.search
Class SearchQueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.search.SearchBaseException
                      com.google.appengine.api.search.SearchQueryException

All Implemented Interfaces:
  java.io.Serializable

    public class SearchQueryException

extends SearchBaseException

Thrown to indicate that a search query was invalid.

See Also:
  Serialized Form

Constructor Summary
`SearchQueryException(java.lang.String message)` Constructs an exception when a search query is invalid.

Method Summary

Methods inherited from class com.google.appengine.api.search.SearchBaseException
`getOperationResult`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchQueryException

    public SearchQueryException(java.lang.String message)

  Constructs an exception when a search query is invalid.

  Parameters:
    `message` - the error detail associated with the invalid query